Announcement

Collapse
No announcement yet.

OTM 6.0 Upgrade to 6.1 - Weblogic Upgrade to 10.3.1

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • OTM 6.0 Upgrade to 6.1 - Weblogic Upgrade to 10.3.1

    OTM 6.0 to 6.1 upgrade path involves upgrading Weblogic 9.2 SP3 to 10.3.1.
    In this process, inorder to upgrade the otm domain, while running upgrade.sh from the new Weblogic 10.3.1 installation, the following error has shown up:

    ERROR [execute] com.bea.plateng.wizard.plugin.silent.tasks.Execute PlugInTask - Execute Exception ... com.bea.plateng.plugin.PlugInException: Validation errors occurred in parsing /d01/OTM6App/weblogic/domains/otm/config/config.xml.

    Any clues/tips will be of great help.

    Thanks.

  • #2
    Re: OTM 6.0 Upgrade to 6.1 - Weblogic Upgrade to 10.3.1

    We've treated the installation of v6.1 as a new release, to avoid these issues. At a high level, the process is:
    • Install WebLogic 11g (10.3.1.x)
    • Install OTM v6.1 (full install)
    • Install 3rd Party Libraries
    • Migrate over custom settings (custom properties, thread settings, etc)
    • Run the DB Patch scripts to update the DB
    • Startup OTM

    --Chris

    Comment


    • #3
      Re: OTM 6.0 Upgrade to 6.1 - Weblogic Upgrade to 10.3.1

      Chris,

      We have FTI enabled and OBIEE integrated with the 6.0 instance of OTM. In the normal upgrade path, the last step would be to update FTI with the 6.1 repository (advanced_analytics.rpd) and other 6.1 files (aa_webcat.zip, palette.cxml, etc).
      1. Will the procedure suggested by you work in the scenario where OBIEE is integrated?
      2. If yes, will the set of steps to have OBIEE speak to the new 6.1 OTM install be the same as mentioned above?

      Thanks,
      Rekha

      Comment


      • #4
        Re: OTM 6.0 Upgrade to 6.1 - Weblogic Upgrade to 10.3.1

        Removed the following lines from config.xml:

        <sec:authentication-provider xmlns:n1="http://www.oracle.com/otm/ns/60/security" xsi:type="n1:gc3-authenticatorType">
        <sec:name>otmAuthenticator</sec:name>
        <sec:control-flag>REQUIRED</sec:control-flag>
        </sec:authentication-provider>

        <sec:adjudicator xsi:type="wls:default-adjudicatorType"></sec:adjudicator>

        Upgraded. Again added them back into config.xml after upgrading. This helped to eliminate the error and we were able to successfully complete Weblogic upgrade to 10.3.1.

        -- Rekha

        Comment


        • #5
          Re: OTM 6.0 Upgrade to 6.1 - Weblogic Upgrade to 10.3.1

          Understood. Just ensure you put these in the config.xml.template file, so that the change persists past restarts and patches.

          --Chris

          Comment

          Working...
          X